import { type ActiveRecord } from '@oinone/kunlun-engine';
import type { OioTreeNode } from '@oinone/kunlun-shared';
import { type OioAnyViewState } from '@oinone/kunlun-vue-widget';
import type { TreeData } from '../../typing';
import { AbstractTreeElementWidget } from './AbstractTreeElementWidget';
export declare class TreeWidget extends AbstractTreeElementWidget {
    protected showContent: boolean;
    protected onNodeSelected(node: OioTreeNode<TreeData>): Promise<void>;
    protected onNodeUnselected(node: OioTreeNode<TreeData>): Promise<void>;
    protected onClearSearch(): Promise<void>;
    protected onUnselected(): Promise<void>;
    protected $$mounted(): void;
    protected generatorEmptyValue(): ActiveRecord[];
    protected $$initViewState(state: OioAnyViewState): void;
}
